/*
 * Tomitheme 1.0.0
 */

@media (max-width: 575px) {
    .navbar>.container {
        position: static;
        width: 100%;
    }
}



img {
    transform: translateZ(0);
}

.transparent-background img {
    mix-blend-mode: multiply;
}


p {
    line-height: 1.9rem;
    margin-bottom: 2.1rem;
}



/* Max content widths */

.size-auto,
.size-full,
.size-large,
.size-medium,
.size-thumbnail {
    max-width: 100%;
    height: auto;
}

.wp-block-image img {
    border-radius: var(--bs-border-radius);
}

.blog-post .wp-block-image img {
    border: 2px solid var(--bs-border-color);
}


figcaption {
    font-size: 0.9rem;
    color: #777;
    text-align: center;
}




/* Hide form placeholders on focus */

input:focus::-webkit-input-placeholder {
    color: transparent;
}

input:focus:-moz-placeholder {
    color: transparent;
}

input:focus::-moz-placeholder {
    color: transparent;
}

textarea:focus::-webkit-input-placeholder {
    color: transparent;
}

textarea:focus:-moz-placeholder {
    color: transparent;
}

textarea:focus::-moz-placeholder {
    color: transparent;
}


.header-logo {
    height: 22px;
    width: auto;
}

@media (min-width: 992px) {
    .header-logo {
        height: 28px;
        width: auto;
    }
}




.tooltip {
    pointer-events: none;
}

/* Site footer */

.site-footer-background {
    background-color: #334155;
}

footer ul,
footer ol {
    list-style-type: none;
    padding: 0
}

footer li {
    margin: 10px 0
}

footer li a,
footer a {
    color: #fff;
    font-weight: 600;
}

footer li a:hover,
footer a:hover {
    color: rgba(255, 255, 255, 0.7);
    font-weight: 600;
}

body {
    text-rendering: optimizeLegibility;
    line-height: 1.6;
    position: relative;
    background-position: center top;
    background-repeat: no-repeat;
    background-size: contain;
}

body a {
    font-weight: bold;
}


.notification-bar {
    position: relative;
    z-index: 100;
}


/**
 * font sizes
 */
main p {
    font-size: 1rem;
}

main ul li,
main ol li {
    font-size: 1rem;
}

h1:not(:first-child),
h2:not(:first-child),
h3:not(:first-child) {
    margin-top: 1.4em;
}

main h3 {
    margin-top: 1.4em;
    font-size: 1.4rem;
}

main section h3:first-child {
    margin-top: 0;
}

.table {
    font-size: 0.9rem;
}

main {
    min-height: calc(100vh - 60px);
}

main h2 {
    font-size: clamp(1.5rem, 5vw, 2.25rem)
}

main.blog-post h1 {
    font-size: 2.5rem;
    margin: 1em 0 0.5rem 0;
}

main.blog-post h2 {
    font-size: 1.4rem;
    line-height: 1.4;
    margin: 1em 0 0.5rem 0;
}

main.blog-post h3 {
    font-size: 1.1rem;
    line-height: 1.4;
    margin: 1em 0 0.5rem 0;
}


ul.list-check {
    padding-left: 0;
    list-style: none;
}

ul.list-check li {
    padding-left: 0;
    list-style: none;
}



.category-image {
    width: 100%;
    height: 100%;
    object-fit: contain;
}



/**
*   select2
*/
.select2 {
    width: 100% !important;
}

.select2-dropdown {
    box-shadow: 0 3px 6px -3px rgba(0, 0, 0, .1), 0 5px 30px -5px rgba(0, 0, 0, .1) !important;
    border-color: #fff !important;
    border-radius: 0.35rem !important;
}

.select2-dropdown.select2-dropdown--below {
    margin-top: 8px;
}

.select2-dropdown.select2-dropdown--above {
    margin-top: -8px;
}

.select2-container--bootstrap-5.select2-container--focus .select2-selection,
.select2-container--bootstrap-5.select2-container--open .select2-selection {
    border-color: transparent !important;
    box-shadow: 0 0 0 2px var(--bs-dark);
    border-radius: 5.6px !important;
}

.form-control,
.form-select,
.select2-container--bootstrap-5 .select2-selection {
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
}

.form-control:focus,
.form-select:focus,
.form-control.tagify--focus {
    box-shadow: 0 0 0 2px var(--bs-dark) !important;
    border-color: transparent !important;
}




/**
* Gutenberg
*/
.alignfull {
    margin-left: calc(-100vw / 2 + 100% / 2);
    margin-right: calc(-100vw / 2 + 100% / 2);
    max-width: 100vw;
    width: 100vw;
}

.alignwide {
    margin-left: -10%;
    margin-right: -10%;
    max-width: 120%;
    border-radius: 0.7rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.aligncenter {
    text-align: center;
}



/* Header */
.header-transparent {
    position: absolute;
    width: 100%;
    background: transparent;
    z-index: 100;
}

.header .container-header {
    max-width: 990px;
}


.header.is_stuck {
    box-shadow: 0 0.2rem 1rem rgba(0, 0, 0, 0.05);
    z-index: 100;
    transition: box-shadow 1s ease;
}

body.admin-bar .header.is_stuck {
    margin-top: 32px;
}

/* Sticky header with admin bar */
body.admin-bar .header.position-sticky {
    top: 32px;
}

@media (max-width: 782px) {
    body.admin-bar .header.position-sticky {
        top: 46px;
    }
}



.header .navbar-nav .nav-link {
    font-weight: 600;
    padding-left: 1rem;
    padding-right: 1rem;
    position: relative;
}

.header.header-transparent .navbar-nav .nav-link {
    color: #fff;
}

.header .navbar-nav .nav-link:hover span::after,
.header .current-menu-item span::after {
    content: '';
    height: 4px;
    border-radius: 2px;
    background-color: var(--bs-dark);
    left: 0;
    bottom: -8px;
    display: block;
    position: absolute;
    width: 100%;
}

.header.header-transparent .navbar-nav .nav-link:hover span::after,
.header.header-transparent .current-menu-item span::after {
    background-color: #fff;
}

.header .navbar-nav:hover .current-menu-item span::after {
    display: none;
}

.header .navbar-nav .nav-link:hover span::after {
    display: block;
}

@media all and (min-width: 992px) {
    .header .navbar-nav .nav-item .dropdown-menu {
        display: block;
        opacity: 0;
        visibility: hidden;
        transition: .3s;
        margin-top: 0;
        border: none;
        border-radius: 6px;
        box-shadow: 0 10px 40px -10px rgba(0, 0, 0, 0.1);
    }

    .header .navbar-nav .dropdown-menu.fade-in {
        transform: scale(0.97) translateY(15px);
    }

    .header .navbar-nav .nav-item:hover .dropdown-menu {
        opacity: 1;
        visibility: visible;
        transform: scale(1) translateY(5px);
    }
}



/**
 * Breadcrumbs
 */
#breadcrumbs {
    font-size: 0.9rem;
}



.container .container {
    padding-right: 12px !important;
    padding-left: 12px !important;
}



.card.shadow-light {
    box-shadow: 0 0 30px -10px rgba(0, 0, 0, 0.1);
}


/**
 * Bootstrap changes
 */
.popover {
    box-shadow: 0 10px 30px rgba(0, 0, 0, .1);
}



/**
*   Modal
*/
.modal .modal-close-button {
    position: absolute;
    top: 5px;
    right: 5px;
}
.modal.modal-animation .modal-dialog,
.modal.modal-animation.show .modal-content {
    transform: scale(1);
}

.modal.modal-animation .modal-content {
    opacity: 0;
    transform: scale(0.2);
    transition: all 0.35s cubic-bezier(0.34, 1.56, 0.64, 1);
}

.modal.modal-animation.show .modal-content {
    opacity: 1;
    transform: scale(1);
}


/**
 * Bootstrap modal flyout
 */
@media (max-width: 576px) {
    .modal-dialog.modal-dialog-slideout {
        width: 80%
    }
}

.modal-dialog-slideout {
    min-height: 100%;
    margin: 0 auto 0 0;
    background: #fff;
}

.modal.fade .modal-dialog.modal-dialog-slideout {
    -webkit-transform: translate(-100%, 0);
    transform: translate(-100%, 0);
}

.modal.fade.show .modal-dialog.modal-dialog-slideout {
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
    flex-flow: column;
}

.modal-dialog-slideout .modal-content {
    border: 0;
}




.pagebuilder-module.padding-top-none {
    padding-top: 0 !important;
}

.pagebuilder-module.padding-top-small {
    padding-top: 1rem !important;
}

.pagebuilder-module.padding-top-medium {
    padding-top: 3rem !important;
}

.pagebuilder-module.padding-top-large {
    padding-top: 6rem !important;
}

.pagebuilder-module.padding-bottom-none {
    padding-bottom: 0 !important;
}

.pagebuilder-module.padding-bottom-small {
    padding-bottom: 1rem !important;
}

.pagebuilder-module.padding-bottom-medium {
    padding-bottom: 3rem !important;
}

.pagebuilder-module.padding-bottom-large {
    padding-bottom: 6rem !important;
}

.pagebuilder-module.margin-top-none {
    margin-top: 0 !important;
}

.pagebuilder-module.margin-top-small {
    margin-top: 1rem !important;
}

.pagebuilder-module.margin-top-medium {
    margin-top: 5rem !important;
}

.pagebuilder-module.margin-top-large {
    margin-top: 10rem !important;
}

.pagebuilder-module.margin-bottom-none {
    margin-bottom: 0 !important;
}

.pagebuilder-module.margin-bottom-small {
    margin-bottom: 1rem !important;
}

.pagebuilder-module.margin-bottom-medium {
    margin-bottom: 5rem !important;
}

.pagebuilder-module.margin-bottom-large {
    margin-bottom: 10rem !important;
}



/**
*   Pagebuilder - FAQs
*/
.pagebuilder-faqs .faq-question {
    font-size: 1.3rem;
    font-weight: 600;
}


.feature-icon-container {
    font-size: 1.6rem;
    align-self: flex-start;
    min-width: 56px;
}

.feature-icon-container .feature-icon {
    width: 54px;
    height: 54px;
    line-height: 54px;
    text-align: center;
    position: relative;
}

.feature-icon-container .feature-icon .feature-icon-background {
    width: 100%;
    height: 100%;
    border-radius: 100%;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0.1;
}

.feature-title {
    font-size: 1.2rem;
    font-weight: 600;
}


/**
*   Pagebuilder - Image list
*/
.pagebuilder-image-list .image-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.pagebuilder-image-list .image-container img {
    max-height: 36px;
    mix-blend-mode: multiply;
    filter: grayscale(1);
    opacity: .4;
    max-width: 80px;
    transition: all 0.5s ease-in-out;
}

@media (min-width: 992px) {
    .pagebuilder-image-list .image-container img {
        max-width: 190px;
        margin-right: 1rem;
    }
}

.pagebuilder-image-list .image-container img:hover {
    filter: grayscale(0);
    opacity: 1;
}


/**
*   Pagebuilder - Testimonial
*/
.pagebuilder-testimonials .testimonial-avatar {
    width: 50px;
    height: 50px;
    object-fit: cover;
    object-position: center;
    border-radius: 50%;
}

.pagebuilder-testimonials .quote-icon {
    position: absolute;
    right: 0;
    top: 0;
    font-size: 2rem;
}


.select-button-group {
    padding: 0.3rem;
    border-radius: 0.7rem;
    display: flex;
    gap: 0.3rem;
    position: relative;
}

.select-button-group input {
    display: none;
}

.select-button-group label {
    flex-grow: 1;
    flex-shrink: 1;
    padding: 0.4rem;
    text-align: center;
    border: 1px solid transparent;
    cursor: pointer;
    z-index: 10;
    transition: all 0.3s ease;
}

.select-button-group input:checked+label {
    color: #fff;
}

.select-button-group .handle {
    background-color: var(--bs-dark);
    transition: all 0.2s ease-in-out;
    border-radius: 0.4rem;
    position: absolute;
}



@media (min-width: 960px) {
    .sticky-large-top {
        position: sticky;
        top: 80px;
    }
}


.tab-accordion-item .tab-accordion-title i {
    transition: all 0.3s ease;
}
.tab-accordion-item.tab-accordion-open .tab-accordion-title i {
    transform: rotate(180deg);
}

.tab-accordion-item .tab-accordion-title {
    cursor: pointer;
}
.tab-accordion-item.tab-accordion-open .tab-accordion-title {
    color: var(--bs-dark);
}


/**
* Tabs container
*/
.nav.nav-tabs {
    border-bottom: none !important;
}

.nav.nav-tabs .nav-item {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.nav.nav-tabs .nav-link {
    background-color: transparent !important;
    border: none !important;
    margin-bottom: 0;
    color: var(--bs-card-color) !important;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    position: relative;
}

.nav.nav-tabs .nav-link.active {
    border-bottom: none !important;
    color: var(--bs-dark) !important;
}

.nav.nav-tabs .nav-link::after {
    content: '';
    width: 100%;
    height: 0;
    border-radius: 3px 3px 0 0;
    background-color: transparent;
    position: absolute;
    bottom: 0;
    left: 0;
    transition: all 0.3s ease;
}

.nav.nav-tabs .nav-link.active::after {
    height: 3px;
    background-color: var(--bs-dark);
}

.nav.nav-tabs .nav-link:not(.active):hover::after {
    height: 3px;
    background-color: rgba(0, 0, 0, 0.2);
}
.nav.nav-tabs .nav-link:not(.active) {
    opacity: 0.5;
    transition: all 0.3s ease;
}
.nav.nav-tabs .nav-link:not(.active):hover {
    opacity: 1;
}


.gallery .thumbnail-container {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
}
.gallery .thumbnail-container .thumbnail {
    cursor: pointer;
    opacity: 0.7;
    border-radius: 0.25rem;
    max-width: 100%;
    aspect-ratio: 1.5;
    object-fit: contain;
    object-position: center;
}
.gallery .thumbnail-container .thumbnail:hover {
    opacity: 1;
}
.gallery .thumbnail-container .thumbnail.active {
    border: 2px solid var(--bs-primary);
    opacity: 1;
}


.feature-list p {
    margin-bottom: 0!important;
}
.feature-list i {
    font-size: 2.5rem!important;
    line-height: 2.5rem!important;
}



.short-box-500 {
    width: 100%;
    max-width: 500px;
}
.short-box-600 {
    width: 100%;
    max-width: 600px;
}
.short-box-700 {
    width: 100%;
    max-width: 700px;
}
.short-box-800 {
    width: 100%;
    max-width: 800px;
}
.short-box-900 {
    width: 100%;
    max-width: 900px;
}


.search-form-container {
    position: relative;
}
.search-suggest-container {
    display: none;
}
.search-suggest-container:focus {
    display: block;
}
.search-form-container input[name=s]:focus ~ .search-suggest-container {
    display: block;
    position: absolute;
    top: calc(100% + 5px);
    left: 0;
    width: 100%;
    min-height: 100px;
    max-height: 300px;
    overflow-y: auto;
}
.search-suggest-item {
    position: relative;
}
.search-suggest-item:hover {
    background-color: rgba(var(--bs-dark-rgb), 0.1);
}


.footer-bar {
    position: fixed;
    bottom: -70px;
    left: 0;
    width: 100%;
    height: 70px;
    background: #333;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: bottom 0.3s ease;
    z-index: 1000;
}

.footer-bar.visible {
    bottom: 0;
}

.timeline-line {
    width: 2px;
    min-height: 60px;
    margin-top: 10px;
    flex-grow: 1;
}
